function percentError(actual, expected) {
  return 100 * Math.abs(actual - expected) / expected;
}
function toBeWithinPercent(actual, expected, percent) {
  const secondArgument = "percent";
  this.utils.ensureNumbers(actual, expected, ".toBeWithinPercent");
  if (expected === 0) {
    throw new Error(this.utils.matcherHint("[.not].toBeWithinPercent", void 0, void 0, {
      secondArgument
    }) + "\n\nExpected value cannot be zero.");
  }
  const error = percentError(actual, expected);
  if (error <= percent) {
    return {
      message: () => this.utils.matcherHint(".not.toBeWithinPercent", void 0, void 0, {
        secondArgument
      }) + `

Expected value not to be within ${this.utils.printExpected(percent)}% of:
  ${this.utils.printExpected(expected)}
Received:
  ${this.utils.printReceived(actual)} (${this.utils.printReceived(error)}% error)`,
      pass: true
    };
  } else {
    return {
      message: () => this.utils.matcherHint(".toBeWithinPercent", void 0, void 0, {
        secondArgument
      }) + `

Expected value to be within ${this.utils.printExpected(percent)}% of:
  ${this.utils.printExpected(expected)}
Received:
  ${this.utils.printReceived(actual)} (${this.utils.printReceived(error)}% error)`,
      pass: false
    };
  }
}
export { toBeWithinPercent as default };
//# sourceMappingURL=jest-matcher-percent-error.es.mjs.map
